Contents

Antechinus Quick FTP v1.0

Introduction

Welcome!

Manual

Connecting to FTP sites

Working with folders

Working with files

Appendix

System requirements

License agreement

Contact us


Welcome

Welcome to Antechinus Quick FTP!

The C Point team welcomes you to Antechinus Quick FTP, which allows you to transfer files between your computer and FTP sites quickly and easily using the drag-and-drop interface.

The program is very quick because it supports multiple simultaneous file transfers. Therefore, you do not have to wait for one file to finish downloading before downloading another.

The latest version of Antechinus Quick FTP and other programming, graphics/animation, and Web authoring tools can be downloaded from our site at http://www.c-point.com/download2.htm. Please visit us!

The authors would appreciate your comments and suggestions regarding the quality of the software and documentation - please drop us an email at c-point@c-point.com.


Conecting

Connecting to FTP sites

To add a new site to the list:

  • Click on the New button to clear the entries
  • Fill in the site profile, and
  • Click on the Add button to save it.

To connect to a remote site:

  • Select File / Connect from the menu, and
  • From the list of sites, select the site to connect to.

Once connected, you can start transferring files between your computer and the remote site. The default transfer mode is binary. However, some text files (e.g., Pearl script .cgi files) may not work properly when copied to the Unix system (Windows text files have carriage return/linefeed pairs, while Unix text files only have carriage returns). Selecting Text transfer mode will correctly translate the newline characters between the two systems.

Here is the explanation of individual fields:

  • Profile name is used to identify the site.
  • Host name/address is the URL of the site, e.g., ftp.simtel.com
  • User ID and Password are used to log you in, and determine your access privileges.
  • Initial remote path is the name of the remote folder to open after connecting. If this field is left empty, the root folder will be opened.
  • Local download path is the name of the default local folder for storing the downloaded files. Clicking on the Browser button will open this folder for exploring.
  • Port 21 is by default used for FTP.
  • Some sites may only allow passive transfers, depending on their gateway and firewall configuration.
  • Some sites only allow a limited number of connections. If the program fails to connect initially, it will retry after the specified delay (in seconds).


Working with files

Please note that FTP server may not allow you to perform some operations on files and folders, depending on your access privileges.

After connected to the FTP site, Antechinus displays the list of folders in the left pane, and the list of sub-folders and files belonging to the selected folder in the right pane.

Renaming and deleting files

  • To rename a file, click on it to select, then click again and type the new name.
  • To delete the file, click on the file to select it and press the Delete key.
  • Other applications may change the contents of the folders on the FTP site. To refresh the display, select View / Refresh from the menu.
Uploading files

To upload files from the local computer to the remote site:

  • Click on the Explore button to explore the local folders. When you maintain your own Web site, the local download and upload folders are nearly always the same folder, so the download folder is opened by default.
  • Select the files to upload. For multiple selections keep the Ctrl button pressed as you click on each file. For continuous multiple selections, click on the first file to select it, keep the Shift button pressed, and click on the last file to select it, which will include all the files in between.
  • Drag the selected files and drop them into the desired remote folder.
Downloading, viewing, and executing files

  • To download, click on the files to select them (holding the Shift key for multiple selections), and select File / Download from the menu. This will copy the files into the specified download folder.
  • To view a text file, click on it to select it and select File / View from the menu. This will download the file to a temporary directory and open it with Notepad.
  • To execute a file, click on it to select it and select File / Execute from the menu. This will download the file to a temporary directory and open it using the application registered for that file type.


Working with folders

Please note that FTP server may not allow you to perform some operations on files and folders, depending on your access privileges.

Uploading folders

To upload folders with all the files they contain from the local computer to the remote site:

  • Click on the Explore button to explore the local folders. When you maintain your own Web site, the local download and upload folders are nearly always the same folder, so the download folder is opened by default.
  • Select the folder to upload.
  • Drag the selected folder and drop it into the desired remote location.

Changing folders

After connected to the FTP site, Antechinus displays the list of folders in the left pane, and the list of sub-folders and files belonging to the selected folder in the right pane.

To change to a different folder:

  • Single-click on the folder in the left pane, or
  • Double-click on the folder in the right pane.

If you know the full path to the desired folder, select Operations / Change Folder from the menu and type it in.

Creating, renaming, deleting, and refreshing folders

  • To create a new folder, select Operations / New Folder from the menu.
  • To rename a folder, click on it to to select it, then click again and type its new name.
  • To delete the folder, click on the folder in the right pane to select it and press the Delete key.
  • Other applications may change the contents of the folders on the site. To refresh the display, select View / Refresh from the menu.


System requirements

  • Windows 95 / 98 / NT / 2000Me / 2000Pro / XP
  • Minimum 32MB RAM (128MB recommended)
  • 5MB of hard disk space


License agreement

Before using Antechinus Quick FTP make sure you read and accept the License Agreement. If you disagree with the License Agreement do not use the software.

While to our best knowledge the software enclosed is bug free, no warranty, either expressed or implied, is made regarding the performance or fitness for any particular purpose of the computer programs and written materials. This software is provided "AS IS", and you, its user, assume the entire risk as to its quality and performance.

The License entitles you to install Antechinus Quick FTP free of charge for personal, educational, or commercial use.

Copyright (c) 2002 C Point
C Point Pty Ltd, 71 Williamson Road, Para Hills 5096, Australia
Tel: +618 8263 3623 Fax: +618 8396 1477
http://www.c-point.com c-point@c-point.com


Contact us

We welcome your comments and suggestions - please let us know what you think about the program and how to improve it.

If you make a phone call please keep in mind that time in your place might not be the same as time in Adelaide, Australia (Adelaide time = GMT + 9 hours and 30 minutes), and you are not likely to receive lots of support at 3am :)

Address: C Point Pty Ltd, 71 Williamson Road, Para Hills 5096, Australia

Phone: +618 8263 3623

Fax: +618 8396 1477

Web: http://www.c-point.com

Product pages: http://www.c-point.com/products.htm

Email: c-point@c-point.com

Technical support: support@c-point.com